Skip to main content
POST
/
v1
/
vesting
/
get-by-redeemer
curl --request POST \
  --url "https://token-vesting.snek.fun/v1/vesting/get-by-redeemer?redeemerVkhs=e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62" \
  --header "Content-Type: application/json" \
  --data '{}'
{
  "vestings": [
    {
      "id": "abc123:0",
      "lockUntil": "1778390035864",
      "redeemerVkh": "e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62",
      "tokenPolicyId": "fbd4d3c334063ac19566f6ba39b6ec707ea91fa81d0c09201575c10b",
      "tokenAssetName": "44415645",
      "totalLocked": "19525508",
      "vestingOwnerAddress": "addr1q9...",
      "spent": false
    }
  ]
}
Returns all unspent vestings whose redeemer matches the given verification key hash (query parameter). Auth: Public POST requests must include Content-Type: application/json. There is no JSON body schema in the endpoint — send an empty body or {} if your client requires a body.

Query parameters

redeemerVkhs
string
required
A single 56-character hex redeemer payment key hash (name is plural for historical reasons; one value).

Response

vestings
object[]
List of vesting rows.
curl --request POST \
  --url "https://token-vesting.snek.fun/v1/vesting/get-by-redeemer?redeemerVkhs=e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62" \
  --header "Content-Type: application/json" \
  --data '{}'
{
  "vestings": [
    {
      "id": "abc123:0",
      "lockUntil": "1778390035864",
      "redeemerVkh": "e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62df682e62",
      "tokenPolicyId": "fbd4d3c334063ac19566f6ba39b6ec707ea91fa81d0c09201575c10b",
      "tokenAssetName": "44415645",
      "totalLocked": "19525508",
      "vestingOwnerAddress": "addr1q9...",
      "spent": false
    }
  ]
}